GELÖST: Frontend Fehler nach Neuinstallation

Gesperrt
mauerblume
Beiträge: 89
Registriert: Do 12. Feb 2004, 20:42
Wohnort: Niederlausitz
Kontaktdaten:

GELÖST: Frontend Fehler nach Neuinstallation

Beitrag von mauerblume » Mi 13. Apr 2011, 09:36

Hallo!
Habe gerade eine frische Neuinstallation gemacht, 4.8.14 auf einem neu gebuchten Rootserver des Kunden.
PHP-Version 5.3.3, MySQL 5.1.53
Dateiberechtigungen gemäß Anleitung gesetzt.
Setup lief ohne Probleme durch.
Installiert wurde mit Beispielmandant und -inhalten.

Backend läuft,
aber Editor-Modus und Frontendvorschau liefern Fehler.
Frontend liefert auch Fehler:

Code: Alles auswählen

Parse error: syntax error, unexpected $end, expecting T_VARIABLE or T_DOLLAR_OPEN_CURLY_BRACES or T_CURLY_OPEN in /srv/www/meinedomain.de/cms/front_content.php(926) : eval()'d code on line 663 

Wenn ich mir die Quellcode im Frontend anzeigen lasse, sehe ich dass bei der Code-Generation einfach abgebrochen wird,
und zwar bei den Meta-Tags.

Das ist die letzte Zeile:

Code: Alles auswählen

<meta name="keywords" content="k
Danach ist der Quellcode leer, habe ich auch in der DB in die con_code gesehen, es wird nicht mehr Code generiert.

Im Backend -> Administration -> System steht im Errorlog oben genannte Fehlermeldung

Kann mir jemand helfen, wo kann ich nach dem Fehler suchen?

Dankeschön.
Zuletzt geändert von mauerblume am Mi 13. Apr 2011, 22:07, insgesamt 3-mal geändert.
*********************************
Contenido-Konstruktionen von 4.2 bis 4.8.X

mauerblume
Beiträge: 89
Registriert: Do 12. Feb 2004, 20:42
Wohnort: Niederlausitz
Kontaktdaten:

Re: Frontend Fehler nach Neuinstallation

Beitrag von mauerblume » Mi 13. Apr 2011, 12:30

Habe das Forum durchsucht,
den gleichen Fehler hatte auch schon ein anderer User:

http://forum.contenido.org/viewtopic.ph ... 63#p147456

Dort bricht der Code an exakt der gleichen Stelle ab, wie bei mir.
Leider gibts in dem Thread auch keine Lösung.

Hat einer ne Idee?
*********************************
Contenido-Konstruktionen von 4.2 bis 4.8.X

Oldperl
Beiträge: 4160
Registriert: Do 30. Jun 2005, 22:56
Wohnort: Eltmann, Unterfranken, Bayern
Kontaktdaten:

Re: Frontend Fehler nach Neuinstallation

Beitrag von Oldperl » Mi 13. Apr 2011, 13:18

Hallo,

im Template der Seite mal alle Module raus nehmen und nach und nach wieder dazu machen. Schaut aus als wenn da ein Modul entweder mit der PHP- oder MySQL-Version nicht mag.

Gruß aus Franken

Ortwin
ConLite 2.1, alternatives und stabiles Update von Contenido 4.8.x unter PHP 7.x - Download und Repo auf Gitport.de
phpBO Search Advanced - das Suchwort-Plugin für CONTENIDO 4.9
Mein Entwickler-Blog

mauerblume
Beiträge: 89
Registriert: Do 12. Feb 2004, 20:42
Wohnort: Niederlausitz
Kontaktdaten:

Re: Frontend Fehler nach Neuinstallation

Beitrag von mauerblume » Mi 13. Apr 2011, 13:28

Genau diesen Weg habe ich auch gerade verfolgt.

Also es sind eine ganze Reihe Module nicht in Ordnung.
habe mal einen Screen gemacht:

Bild

Dann habe ich mal alle Module aus dem Template für die Startseite rausgeschmissen,
aber auch dann wird der Code nicht richtig generiert.

Ich habe mal den Debug-Modus aktiviert,
also eine Datei config.local.php in contenido/includes angelegt.

Hier das Ergebnis:

Code: Alles auswählen

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
    <head>
<base href="http://213.174.49.110/cms/" />
        <?php $C1CMS_VALUE[]="";  ?>
<?php $cCurrentModule = 0; ?><?php $cCurrentContainer = 1; ?>

        <title><?php $C10CMS_VALUE[]="";  ?>
<?php $cCurrentModule = 0; ?><?php $cCurrentContainer = 10; ?>
</title>
        <link rel="stylesheet" href="css/contenido_sample.css" type="text/css" media="all" />
        <link rel="shortcut icon" href="favicon.ico" />
                <!--[if lte IE 6]>
            <style type="text/css">
                .clearfix {height:1px;}
            </style>
        <![endif]-->
    <meta name="generator" content="CMS Contenido 4.8" />
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=iso-8859-1" />
<meta name="author" content="Systemadministrator" />
<meta name="date" content="2008-04-14 16:28:13" />
<meta name="description" content="Ihre Installation hat geklappt! " />
<meta name="keywords" content="k
Ich glaube da ist ein größeres Problem mit ganz neuen Servern....

Was kann ich noch tun?
Zuletzt geändert von mauerblume am Mi 13. Apr 2011, 22:09, insgesamt 2-mal geändert.
*********************************
Contenido-Konstruktionen von 4.2 bis 4.8.X

mauerblume
Beiträge: 89
Registriert: Do 12. Feb 2004, 20:42
Wohnort: Niederlausitz
Kontaktdaten:

Re: Frontend Fehler nach Neuinstallation

Beitrag von mauerblume » Mi 13. Apr 2011, 20:40

Sooo,

bin alle Module durchgegangen, und die Tabellen der DB.

Das Problem sind die Umlaute!

Die Module, die als fehlerhaft angezeigt werden, sind nur zum Teil installiert worden,
und zwar bis zu der Stelle, an der das erste Sonderzeichen auftritt.

Jetzt muß ich "nur" noch rausfinden, wieso das so ist.
*********************************
Contenido-Konstruktionen von 4.2 bis 4.8.X

mauerblume
Beiträge: 89
Registriert: Do 12. Feb 2004, 20:42
Wohnort: Niederlausitz
Kontaktdaten:

Re: Frontend Fehler nach Neuinstallation

Beitrag von mauerblume » Mi 13. Apr 2011, 22:07

Gelöst:

Habe die DB noch einmal geleert und mit phpmyadmin folgende Einstellungen für die DB gesetzt:

MySQL-Zeichensatz: UTF-8 Unicode (utf8)
Zeichensatz / Kollation der MySQL-Verbindung: latin1_german1_ci

Dann das setup von Contenido neu gestartet,
jetzt läuft alles.

In ein paar Modulen mußte ich noch die Umlaute manuell anpassen,
dort waren "?" eingesetzt.
*********************************
Contenido-Konstruktionen von 4.2 bis 4.8.X

Oldperl
Beiträge: 4160
Registriert: Do 30. Jun 2005, 22:56
Wohnort: Eltmann, Unterfranken, Bayern
Kontaktdaten:

Re: GELÖST: Frontend Fehler nach Neuinstallation

Beitrag von Oldperl » Do 14. Apr 2011, 06:57

:!: Zur Prüfung verschoben nach Bugs.

Gruß aus Franken

Ortwin
ConLite 2.1, alternatives und stabiles Update von Contenido 4.8.x unter PHP 7.x - Download und Repo auf Gitport.de
phpBO Search Advanced - das Suchwort-Plugin für CONTENIDO 4.9
Mein Entwickler-Blog

farina
Beiträge: 257
Registriert: Fr 24. Okt 2003, 13:16
Wohnort: Düren
Kontaktdaten:

Re: GELÖST: Frontend Fehler nach Neuinstallation

Beitrag von farina » Di 13. Mär 2012, 12:15

Hallo,

ich habe das gleiche Problem. Leider klappt die Lösung bei mir nicht, egal, ob ich Contenido-Version 4.8.14 oder 4.8.15 nehme.
MySQL-Client-Version: 5.1.53, PHP 5.3.4

Gruß farina

Gesperrt